petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerBinaryGetSkipHeader

checks whether to write a header with size information on output, or just raw data

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryGetSkipHeader(PetscViewer viewer,PetscBool  *skip)

Not Collective

### Input Parameter

viewer -PetscViewer context, obtained from PetscViewerBinaryOpen()

### Output Parameter

skip -PETSC_TRUE means do not write header

### Notes

This must be called after PetscViewerSetType()

Returns false for PETSCSOCKETVIEWER, you cannot skip the header for it.

### See Also

PetscViewerBinaryOpen(), PetscViewerBinaryGetDescriptor(), PetscViewerBinarySkipInfo(),
PetscViewerBinarySetSkipHeader()

### Level

advanced

### Location

src/sys/classes/viewer/impls/binary/binv.c

### Examples

src/dm/examples/tutorials/ex15.c.html

### Implementations

PetscViewerBinaryGetSkipHeader_Binary in src/sys/classes/viewer/impls/binary/binv.c
PetscViewerBinaryGetSkipHeader_Socket in src/sys/classes/viewer/impls/socket/send.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages